Bug 905627 - Translations are not included in the kwebkitpart package
Translations are not included in the kwebkitpart package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kwebkitpart (Show other bugs)
18
All All
unspecified Severity low
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-29 14:26 EST by Damien Gombault
Modified: 2013-12-21 10:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-21 10:57:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Damien Gombault 2013-01-29 14:26:09 EST
Hi.

This package is built from a git snapshot (tagged) but the upstream git repository does not include translations, thus translations are not included in the Fedora package.

Is this possible to include translations from KDE l10n teams in the package.
I know OpenSUSE packagers already do that : https://build.opensuse.org/package/view_file?expand=1&file=kwebkitpart.spec&package=kwebkitpart&project=openSUSE%3AFactory
There is a « kwebkitpart-$version-lang.tar.bz2 » in the .spec file.

Thank you in advance.
Comment 1 Rex Dieter 2013-01-29 14:45:57 EST
tis a shame upstream doesn't provide tarballs (with translations) for us... :-/
Comment 2 Rex Dieter 2013-01-29 14:56:11 EST
i'll see if I can adapt a releaseme script for our purpose here
Comment 3 Fedora Update System 2013-01-31 11:00:48 EST
kwebkitpart-1.3.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kwebkitpart-1.3.1-2.fc18
Comment 4 Fedora Update System 2013-02-01 11:59:39 EST
Package kwebkitpart-1.3.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kwebkitpart-1.3.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1738/kwebkitpart-1.3.1-2.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-02-09 23:31:33 EST
kwebkitpart-1.3.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Kevin Kofler 2013-02-12 00:35:18 EST
This also affects the F17 and F16 builds. It's probably too late to fix F16 now (it wouldn't have been too late when this bug was filed…), but F17 needs to get fixed.
Comment 7 Fedora End Of Life 2013-12-21 10:20:14 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Rex Dieter 2013-12-21 10:57:55 EST
Still fixed in f18 :)

Note You need to log in before you can comment on or make changes to this bug.